{**
 * Copyright since 2022 Inferendo Srl
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    Inferendo SRL <hello@visidea.ai>
 * @copyright Since 2022 Inferendo Srl
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}

<section id="visidea-cont" class="featured-products clearfix">

</section>


<script type="text/javascript">
{literal}

function show_slider(){
    $('.products-rec').slick({
    slidesToShow: {/literal}{if $page == 'cart'}{literal} 2
    {/literal}{else}{literal}4
    {/literal}{/if}{literal},
    slidesToScroll: 1,
    centerMode: false,
    arrows: true,
    autoplay: true,
    autoplaySpeed: 2000,
    responsive: [
        {
            breakpoint: 1300,
            settings: {
                slidesToShow: {/literal}{if $page == 'cart'}{literal} 2
                {/literal}{else}{literal}3
                {/literal}{/if}{literal},
                slidesToScroll: 1,
            }
        },
        {
            breakpoint: 1000,
            settings: {
                slidesToShow: 2,
                slidesToScroll: 1
            }
        },
        {
            breakpoint: 420,
            settings: {
                slidesToShow: 1,
                slidesToScroll: 1
            }
        }
    ]
});
    document.getElementById("visidea-cont").hidden = false;
}

function whenExists(name, callback) {
    var interval = 10; // ms
    window.setTimeout(function() {
        if (eval(name) != undefined) {
            callback();
        } else {
            window.setTimeout(arguments.callee, interval);
        }
    }, interval);
}

var gc = 1;
var itemsProcessed = 0;

function show_product(res) {
    if (Array.isArray(res)) {
        res.forEach(function(item) {
            var pname = item.name.length > 27 ? item.name.substring(0,27) + "..." : item.name;
            var producthtml = '' +
                '<div>' +
                '<article class="product-miniature js-product-miniature" data-id-product="'+ item.item_id +'" data-id-product-attribute="0" itemscope="" itemtype="http://schema.org/Product">'+
                '            <div class="thumbnail-container">'+
                '                <a href="' + item.url + '" class="thumbnail product-thumbnail">'+
                '                    <img src="' + item.images[0] + '" alt="' + item.name + '" data-full-size-image-url="' + item.images[0] + '" class="visidea__product-image">'+
                '                </a>'+
                '                <div class="product-description">'+
                '                    <h3 class="h3 product-title" itemprop="name"><a href="' + item.url + '">' + pname + '</a></h3>'+
                '                    <div class="product-price-and-shipping">'+
                '                        <span class="sr-only">Prezzo</span>'+
                '                        <span itemprop="price" class="price">' + visidea.format_currency(item.price) + '</span>'+
                '                    </div>'+
                '                </div>'+
                '            </div>'+
                '        </article>'+
                '</div>';

            var id = 'visidea-products'+gc;
            document.getElementById(id).innerHTML += producthtml;
        });
    }
    gc++;
}

var visidea = new Visidea.Api('{/literal}{Configuration::get('VISIDEA_WEBSITE',null)|escape:'htmlall':'UTF-8'}{literal}', '{/literal}{Configuration::get('VISIDEA_PUBLIC_KEY',null)|escape:'htmlall':'UTF-8'}{literal}');
whenExists("visidea.conf", function() {

    {/literal}{if Context::getContext()->cookie->__isset('notloggedid') && isset(Context::getContext()->customer->id)}{literal}
    visidea.merge_users("{/literal}{Context::getContext()->cookie->notloggedid|escape:'htmlall':'UTF-8'}{literal}", "{/literal}{Context::getContext()->customer->id|escape:'htmlall':'UTF-8'}{literal}");
    {/literal}{Context::getContext()->cookie->__unset('notloggedid')|escape:'htmlall':'UTF-8'}{literal}
    {/literal}{/if}{literal}

    {/literal}{if $page == 'product' && isset(Context::getContext()->customer->id|escape:'htmlall':'UTF-8')}{literal}
    visidea.item_view("{/literal}{$product->id|intval|escape:'htmlall':'UTF-8'}{literal}", "{/literal}{Context::getContext()->customer->id|escape:'htmlall':'UTF-8'}{literal}");
    {/literal}{elseif $page == 'product' && isset(Context::getContext()->cookie->notloggedid)}{literal}
    visidea.item_view("{/literal}{$product->id|intval|escape:'htmlall':'UTF-8'}{literal}", "{/literal}{Context::getContext()->cookie->notloggedid|escape:'htmlall':'UTF-8'}{literal}");
    {/literal}{/if}{literal}
    var cont = 1;
    var n_rec_type = 0;
    // var n_rec_type = visidea.conf.{/literal}{$page|escape:'htmlall':'UTF-8'}{literal}.length;
    visidea.conf.{/literal}{$page|escape:'htmlall':'UTF-8'}{literal}.forEach(function(item) {
        if (item.show)
            n_rec_type++;
    });

    visidea.conf.{/literal}{$page|escape:'htmlall':'UTF-8'}{literal}.forEach(function(item) {

        if (item.show) {

            var myhtml = '<br /><h2>'+item.title+'</h2><div class="slick-content"><div id="visidea-products'+cont+'" class="visidea products-rec"> </div></div>';
            document.getElementById("visidea-cont").innerHTML += myhtml;

            visidea.recommend(item.algo, "{/literal}{if isset(Context::getContext()->customer->id)}{Context::getContext()->customer->id|escape:'htmlall':'UTF-8'}{else}{Context::getContext()->cookie->notloggedid|escape:'htmlall':'UTF-8'}{/if}{literal}", "{/literal}{if isset($product->id)}{$product->id|intval|escape:'htmlall':'UTF-8'}{/if}{literal}", [], item.n,
                function(res) {
                    show_product(res);
                    itemsProcessed++;
                    if(itemsProcessed == n_rec_type) {
                        show_slider();
                    }
                }, []);
            cont++;
        }

    });
});

{/literal}
</script>
